JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
NetworkServiceDiscovery::Service Struct Reference
juce_events » interprocess

Contains information about a service that has been found on the network. More...

`#include <juce_NetworkServiceDiscovery.h>`

## Public Attributes
String | instanceID
| A UUID that identifies the particular instance of the Advertiser class.
String | description
| The service description as sent by the Advertiser.
IPAddress | address
| The IP address of the advertiser.
int | port
| The port number of the advertiser.
Time | lastSeen
| The time of the last ping received from the advertiser.

## Detailed Description

Contains information about a service that has been found on the network.

See also
  AvailableServiceList, Advertiser

## Member Data Documentation

## ◆ instanceID

String NetworkServiceDiscovery::Service::instanceID

A UUID that identifies the particular instance of the Advertiser class.

## ◆ description

String NetworkServiceDiscovery::Service::description

The service description as sent by the Advertiser.

## ◆ address

IPAddress NetworkServiceDiscovery::Service::address

The IP address of the advertiser.

## ◆ port

int NetworkServiceDiscovery::Service::port

The port number of the advertiser.

## ◆ lastSeen

Time NetworkServiceDiscovery::Service::lastSeen

The time of the last ping received from the advertiser.

The documentation for this struct was generated from the following file:

- juce_NetworkServiceDiscovery.h